import { useState } from 'react'
import Taro from '@tarojs/taro'
import { Image } from '@tarojs/components'
import { getImgURL } from '@/utils/image'
import './index.scss'

export default function FixedCard (props) {
  const { consultant } = props
  const { id: consultantId, name, picture, company, avatar, phone } = consultant || {}

  const [Show, setShow] = useState(false)

  const handleChat = () => {
    Taro.navigateTo({
      url: `/pages/chat/chatDetail/index?targetPerson=${consultantId}}`
    })
  }
  
  const handleCall = () => {
    if (phone) {
      Taro.makePhoneCall({ phoneNumber: phone })
      return
    }

    Taro.showToast({ title: '暂无联系电话', icon: 'none' })
  }

  return !!consultantId && (
    <view className='components FixedCard'>
      <view className='Icon' onClick={() => setShow(true)}>
        <Image mode='aspectFill' src={getImgURL(picture||avatar)}></Image>
      </view>
      <view className='Name'>
        <text>{name}</text>
        <text style={{display: Show ? 'block' : 'none'}}>{company}</text>
      </view>
      <text
        style={{display: Show ? 'inline-block' : 'none'}}
        className='iconfont icon-liaotian Btn'
        onClick={handleChat}
      ></text>

      <text
        style={{display: Show ? 'inline-block' : 'none'}}
        className='iconfont icon-dianhua1 Btn'
        onClick={handleCall}
      ></text>

      <text
        style={{display: Show ? 'inline-block' : 'none'}}
        className='iconfont icon-guanbi Btn'
        onClick={() => setShow(false)}
      ></text>

      <text
        style={{display: Show ? 'none' : 'inline-block'}}
        className='iconfont icon-jiantouright'
      ></text>
    </view>
  )
}
